Callisto4Bootloader: bootloader_api_entry_t Struct Reference

Callisto4Bootloader

Data Fields
bootloader_api_entry_t Struct Reference

`#include <bl_api.h>`

## Data Fields

const uint32_t | version
| Bootloader version number. More...
const char * | copyright
| Bootloader Copyright. More...
void(* | runBootloader )(void *arg)
| Function to start the bootloader executing. More...
const uint32_t * | reserved0
| Reserved. More...
const flexspi_nor_driver_interface_t * | flexSpiNorDriver
| FlexSPI NOR Flash API. More...
const uint32_t * | reserved1
| Reserved. More...
const clock_driver_interface_t * | clockDriver
const rtwdog_driver_interface_t * | rtwdogDriver
const wdog_driver_interface_t * | wdogDriver
const uint32_t * | reserved2

## Detailed Description

Definition at line 121 of file bl_api.h.

## Field Documentation

## ◆ clockDriver

const clock_driver_interface_t* bootloader_api_entry_t::clockDriver

Definition at line 129 of file bl_api.h.

## ◆ copyright

const char* bootloader_api_entry_t::copyright

Bootloader Copyright.

Definition at line 124 of file bl_api.h.

## ◆ flexSpiNorDriver

const flexspi_nor_driver_interface_t* bootloader_api_entry_t::flexSpiNorDriver

FlexSPI NOR Flash API.

Definition at line 127 of file bl_api.h.

## ◆ reserved0

const uint32_t* bootloader_api_entry_t::reserved0

Reserved.

Definition at line 126 of file bl_api.h.

## ◆ reserved1

const uint32_t* bootloader_api_entry_t::reserved1

Reserved.

Definition at line 128 of file bl_api.h.

## ◆ reserved2

const uint32_t* bootloader_api_entry_t::reserved2

Definition at line 132 of file bl_api.h.

## ◆ rtwdogDriver

const rtwdog_driver_interface_t* bootloader_api_entry_t::rtwdogDriver

Definition at line 130 of file bl_api.h.

Referenced by RTWDOG_Deinit(), RTWDOG_GetDefaultConfig(), and RTWDOG_Init().

## ◆ runBootloader

void(* bootloader_api_entry_t::runBootloader) (void *arg)

Function to start the bootloader executing.

Definition at line 125 of file bl_api.h.

## ◆ version

const uint32_t bootloader_api_entry_t::version

Bootloader version number.

Definition at line 123 of file bl_api.h.

## ◆ wdogDriver

const wdog_driver_interface_t* bootloader_api_entry_t::wdogDriver

Definition at line 131 of file bl_api.h.

Referenced by WDOG_ClearInterruptStatus(), WDOG_Deinit(), WDOG_GetStatusFlags(), WDOG_Init(), and WDOG_Refresh().

The documentation for this struct was generated from the following file:

- lib/bl_api.h